Bug 1283352 - [abrt] java-1.8.0-openjdk-devel: signalHandler(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-devel: signalHandler(): java killed by SIGABRT
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa580a98c75c036667c5e12be86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 14:21 EST by Daniel Rindt
Modified: 2015-11-24 10:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 09:42:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.88 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: core_backtrace (149.41 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: dso_list (14.42 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: environ (1.88 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: maps (118.20 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: open_fds (42.65 KB, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
File: var_log_messages (347 bytes, text/plain)
2015-11-18 14:22 EST, Daniel Rindt
no flags Details
Crash log (156.50 KB, text/plain)
2015-11-19 13:04 EST, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2015-11-18 14:21:58 EST
Version-Release number of selected component:
java-1.8.0-openjdk-devel-1.8.0.65-3.b17.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/bin/java -Xbootclasspath/a:/home/drindt/.bin/android-studio/bin/../lib/boot.jar -classpath /home/drindt/.bin/android-studio/bin/../lib/bootstrap.jar:/home/drindt/.bin/android-studio/bin/../lib/extensions.jar:/home/drindt/.bin/android-studio/bin/../lib/util.jar:/home/drindt/.bin/android-studio/bin/../lib/jdom.jar:/home/drindt/.bin/android-studio/bin/../lib/log4j.jar:/home/drindt/.bin/android-studio/bin/../lib/trove4j.jar:/home/drindt/.bin/android-studio/bin/../lib/jna.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/lib/tools.jar -Xms256m -Xmx1280m -XX:MaxPermSize=350m -XX:ReservedCodeCacheSize=225m -XX:+UseConcMarkSweepGC -XX:SoftRefLRUPolicyMSPerMB=50 -da -Djna.nosys=true -Djna.boot.library.path= -Djna.debug_load=true -Djna.debug_load.jna=true -Dsun.io.useCanonCaches=false -Djava.net.preferIPv4Stack=true -Dawt.useSystemAAFontSettings=lcd -Dhidpi=true -Djb.vmOptionsFile=/home/drindt/.bin/android-studio/bin/studio64.vmoptions,/home/drindt/.AndroidStudio1.4/studio64.vmoptions -XX:ErrorFile=/home/drindt/java_error_in_STUDIO_%p.log -Djb.restart.code=88 -Didea.paths.selector=AndroidStudio1.4 -Didea.platform.prefix=AndroidStudio com.intellij.idea.Main
crash_function: signalHandler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/bin/java
global_pid:     4883
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #5 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4222
 #7 FreeChunk::next at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/freeChunk.hpp:111
 #8 FreeList<FreeChunk>::getFirstNChunksFromList at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/memory/freeList.cpp:122
 #9 CompactibleFreeListSpace::par_get_chunk_of_blocks_IFL at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/compactibleFreeListSpace.cpp:2765
 #10 CompactibleFreeListSpace::par_get_chunk_of_blocks at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/compactibleFreeListSpace.cpp:2978
 #11 CFLS_LAB::get_from_global_pool at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/compactibleFreeListSpace.cpp:2665
 #12 CFLS_LAB::alloc at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/compactibleFreeListSpace.cpp:2623
 #13 ConcurrentMarkSweepGeneration::par_promote at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/concurrentMarkSweep/concurrentMarkSweepGeneration.cpp:1388
 #14 ParNewGeneration::copy_to_survivor_space_avoiding_promotion_undo at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/parNew/parNewGeneration.cpp:1202
 #15 InstanceKlass::oop_oop_iterate_nv at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/gc_implementation/parNew/parNewGeneration.hpp:393
Comment 1 Daniel Rindt 2015-11-18 14:22:05 EST
Created attachment 1096208 [details]
File: backtrace
Comment 2 Daniel Rindt 2015-11-18 14:22:06 EST
Created attachment 1096209 [details]
File: cgroup
Comment 3 Daniel Rindt 2015-11-18 14:22:09 EST
Created attachment 1096210 [details]
File: core_backtrace
Comment 4 Daniel Rindt 2015-11-18 14:22:11 EST
Created attachment 1096211 [details]
File: dso_list
Comment 5 Daniel Rindt 2015-11-18 14:22:13 EST
Created attachment 1096212 [details]
File: environ
Comment 6 Daniel Rindt 2015-11-18 14:22:15 EST
Created attachment 1096213 [details]
File: limits
Comment 7 Daniel Rindt 2015-11-18 14:22:17 EST
Created attachment 1096214 [details]
File: maps
Comment 8 Daniel Rindt 2015-11-18 14:22:19 EST
Created attachment 1096215 [details]
File: mountinfo
Comment 9 Daniel Rindt 2015-11-18 14:22:22 EST
Created attachment 1096216 [details]
File: open_fds
Comment 10 Daniel Rindt 2015-11-18 14:22:23 EST
Created attachment 1096217 [details]
File: proc_pid_status
Comment 11 Daniel Rindt 2015-11-18 14:22:25 EST
Created attachment 1096218 [details]
File: var_log_messages
Comment 12 Deepak Bhole 2015-11-18 16:52:24 EST
Hi, is this issue always reproducible? If so, how can we reproduce it?
Comment 13 Daniel Rindt 2015-11-18 18:10:57 EST
IntelliJ runs and i haven't used it at this time. It silently crashed.
Comment 14 Deepak Bhole 2015-11-19 09:42:28 EST
Unfortunately we cannot investigate this further based on the info. Since it cannot be reproduced, I am going to close it, If it happens again, please re-open this and attach the hs_err file if possible.
Comment 15 Daniel Rindt 2015-11-19 13:04 EST
Created attachment 1096840 [details]
Crash log

Maybe this is the requested information, please have a check.
Comment 16 Deepak Bhole 2015-11-19 13:09:29 EST
Ah, it is indeed.

Christine, based on the back trace and hs_err, can this be investigated further? Looks like it may be in GC code.
Comment 17 Christine Flood 2015-11-20 17:44:17 EST
What's happening is that parNew is trying to promote an object to the
old generation (CMS) but there isn't anything available on the appropriate
sized free list.  So it goes off to find some elements to add to the free list.
Unfortunately we were asked to find 966, but we only get as far as 964 before we hit a corrupted entry.

The code is just walking down a list looking for chunks or NULL and instead 
it ends up with some weird corrupted address.  This address (0xda561fd8d01fe320)
looks implausible and therefore smells like corrupted memory to me.

I can't even say for sure that the sig11 is a hardware problem, but I would be
very curious to see if they you can duplicate the bug on a different machine?

If it is a software problem, I don't have any way to figure out how the list got corrupted.  Without a reproducible test case I don't know where to start looking.


Christine
Comment 18 Daniel Rindt 2015-11-21 03:33:32 EST
Christine, thanks for your efforts. So you think the memory in the machine is broken? From my point i can just say i am working with this box everyday for lot of hours and so far no crashes or other problems are raised where i would think the memory seems broken. Also there are no other crashes happen. My question is now, should i do a memory test? If not what i can do else? Found in the log:
"Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again"
So what i can i do to provide more information on that? If it's required.
Let me know what i can do. 

Thank you
Daniel
Comment 19 Christine Flood 2015-11-24 10:01:55 EST
My best guess is that someone is stomping on memory.  This happens at some point before the error is signalled.  I really have no way of figuring out who did it unless we could repeat it and add a watchpoint on the bad memory location.

I don't see what we could do if we reopened this.

Christine
Comment 20 Daniel Rindt 2015-11-24 10:03:07 EST
Thank you for your work and engagement to my problem.

Note You need to log in before you can comment on or make changes to this bug.